viewport switch

In Acad you can switch from viewport to viewport by CTRL+R.

How to do so in Bricscad  ?

Regards.

Peter

Comments

  • The quickest way to switch: just click in the other viewport. I don't know if there is a keyboard shortcut.

  • I had this issue recently, trying to switch to a vport inside another's boundaries.

    Setvar or command CVPORT switches to a vport by its number, #1 being none or PS layout.

    Assoc 69 gives a vport's number, so I wrote CV.lsp to switch to vports by picking them. No pick gives PS layout (cvport no 1).

    PASTE CODE HERE(Defun C:CV ()
    (setvar "cvport" 1)
    (Setq a (cdr (assoc 69 (entget (car (entsel))))))
    (setvar "cvport" A)
    (prin1 (getvar "cvport"))
    )

  • Yes, that's correct, but when there is a viewport in a viewport you can't activate the one who is in the other.

    Regards.

    Peter

  • @ John,

    Thanks for your reply, it solved my problem.

    Regards.

    Peter

  • Peter, that's why I wrote the lisp. It de-activates them all and then activates the one whose frame is picked, importantly one inside another.

    You could type Cvport then guess or cycle through the numbers, counting one more than the number of vports. This just finds out what a vport's number is.

This discussion has been closed.